[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TMBCSEncoding.Create

Create a new instance of a multi-byte character set encoding

## Declaration

Source position: sysencodingh.inc line 127

`public constructor TMBCSEncoding.Create; virtual; overload; constructor TMBCSEncoding.Create(`
`ACodePage: Integer`
`); virtual; overload; constructor TMBCSEncoding.Create(`
`ACodePage: Integer;`
`MBToWCharFlags: Integer;`
`WCharToMBFlags: Integer`
`); virtual; overload;`

## Description

Create instantiates a new instance of the multi-byte character set encoding. The ACodePage parameter is optional, and defaults to DefaultSystemCodePage.

The MBToWCharFlags and WCharToMBFlags parameters are stored but are otherwise unused in the Free Pascal implementation of TMBCSEncoding